Page MenuHomePhabricator

Implement MCR storage layer
Closed, ResolvedPublic

Description

This ticket covers all refactoring and implementation work needed in MediaWiki core to allow page revisions with multiple content objects to be stored and retrieved.

This ticket does NOT cover any work needed to expose page revisions with multiple content objects externally via an API, UI, or dumps.

Related Objects

StatusAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
OpenNone
OpenNone
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
Resolvedppelberg
ResolvedKrinkle
OpenNone
OpenNone
OpenNone
OpenNone
StalledNone
OpenNone
OpenNone
OpenNone
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
ResolvedAnomie
ResolvedNone
DuplicateNone
StalledNone
Resolveddaniel
ResolvedAddshore
Resolveddaniel
ResolvedMarostegui
ResolvedAddshore
ResolvedMarostegui
ResolvedTgr
ResolvedTgr
ResolvedTgr
ResolvedBstorm
ResolvedCCicalese_WMF
Resolveddaniel
Resolveddaniel
Resolveddaniel

Event Timeline

daniel created this task.Aug 24 2017, 2:15 PM
daniel claimed this task.Aug 24 2017, 4:23 PM
daniel moved this task from Inbox to Watching on the MediaWiki-Platform-Team board.
daniel moved this task from Inbox to Epic on the Multi-Content-Revisions board.Nov 20 2017, 7:42 PM
thiemowmde triaged this task as Normal priority.Dec 5 2017, 6:45 PM
daniel closed this task as Resolved.Jul 13 2018, 4:22 PM
Magol added a subscriber: Magol.Dec 29 2018, 11:00 AM